Subject: bug#74966: Acknowledgement (31.0.50; Crash report (using igc on macOS))

From: Gerd Möllmann <[email-masked]>
Date: Thu, 19 Dec 2024 12:30:29 +0100

Sean Devlin <[email-masked]> writes:

> Hi Gerd,
>
>  On Dec 19, 2024, at 7:28 PM, Gerd Möllmann <[email-masked]> wrote:
>
>  Sean Devlin <[email-masked]> writes:
>
>  Also, it looks like I can reproduce this under Emacs -Q.
>
>  Please let me know if and how I should debug the crash.
>
>  Thanks!
>
>  Can you please give me a recipe? (I don't have an idea how to debug
>  this, one would need to know what in the function goes wrong, possibly
>  by setting a breakpoint on it, and doing some assembler. Urgs :-))
>
> Sure, I can reproduce this just by doing:
>
> 1 open -n -a Emacs --args -Q
> 2 C-h d searchstring RET
>
> And Emacs crashes right away.
>
> Hope this helps!

Hm, when I'm doing this, literally entering "saerchstring", it just says
it has nothing. That's with my fork though, which is basically some
recent master + igc + other stuff.

I'll check with the GNU igc branch a bit later.